ColumnFamilyType (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Enum ColumnFamilyType

- java.lang.Object
- - java.lang.Enum<ColumnFamilyType>
  - - org.apache.cassandra.db.ColumnFamilyType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ColumnFamilyType>

      public enum ColumnFamilyType
      extends java.lang.Enum<ColumnFamilyType>

  column family type enum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Standard`
    `Super`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ColumnFamilyType` | `create(java.lang.String name)`
    `static ColumnFamilyType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ColumnFamilyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Standard

          public static final ColumnFamilyType Standard

    - #### Super

          public static final ColumnFamilyType Super

  - ### Method Detail

    - #### values

          public static ColumnFamilyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ColumnFamilyType c : ColumnFamilyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ColumnFamilyType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### create

          public static ColumnFamilyType create(java.lang.String name)

Copyright © 2018 The Apache Software Foundation